/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2008.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: src/drivers/wintel32/network/sdlnetutil.cpp

*/

#include "sgx/core/core.hpp"
#include "SDL.h"
#include <stdarg.h>

static char buffer[1024];


DECLSPEC void SDLCALL SDL_SetError(const char *fmt, ...)
{
   va_list va;

   va_start(va, fmt);
   vsprintf(buffer, fmt, va);
   va_end(va);

   sgxOutputTraceMessage(buffer);
}
